#' Atrificial test data for mdprefml and mdprefmx.
#'
#' Data consisting of the result of paired comparison experiment
#' of 15 stimuli by 5 subjects.
#'
#' Run mdprefml or mdprefmx as \cr
#'   \code{ij <- cbind( data_comp$ij.1, data_comp$ij.2)}\cr
#'   \code{
#' mdprefml( f=data_comp$f, n=data_comp$n, ij=ij, subj=data_comp$subj, .....
#' }\cr
#' \code{
#' mdprefmx( f=data_comp$f, n=data_comp$n, ij=ij, subj=data_comp$subj, .....
#'   }
#'
#'
#'
#' @format Data frame consisting of 525 rows and 5 variables where
#'    525 = 5 * 15*(15-1)/2.
#' \describe{
#'  \item{subj}{Character variable indicating subject name.}
#'  \item{n}{Numeric variable indicating # of trials per pair.}
#'  \item{f}{Numeric variable indicating # of times that stimulus ij.1
#'  is preferred to stimulus ij.2 out of n trials.}
#'  \item{ij.1}{Numeric variable containing the left stimulus id.}
#'  \item{ij.2}{Numeric variable containing the right stimulus id.}
#' }
#'
#' @source Generated by author using data-raw\\gendatamdpref.R.
#'
"data_comp"



#' Atrificial test data for mdprefml and mdprefmx.
#'
#' Data consisting of the result of paired comparison experiment
#' of 15 stimuli by 5 subjects.\cr
#' About 20 percent of the pairs are missing.
#'
#' Run mdprefml or mdprefmx as \cr
#'   \code{ij <- cbind( data_miss$ij.1, data_miss$ij.2)}\cr
#'   \code{
#' mdprefml( f=data_miss$f, n=data_miss$n, ij=ij, subj=data_miss$subj, .....
#' }\cr
#' \code{
#' mdprefmx( f=data_miss$f, n=data_miss$n, ij=ij, subj=data_miss$subj, .....
#'   }
#'
#'
#'
#' @format Data frame consisting of 369 rows and 5 variables where
#'    369 is approximately equa to  5 * (15*(15-1)/2) * (1-0.20).
#' \describe{
#'  \item{subj}{Character variable indicating subject name.}
#'  \item{n}{Numeric variable indicating # of trials per pair.}
#'  \item{f}{Numeric variable indicating # of times that stimulus ij.1
#'  is preferred to stimulus ij.2 out of n trials.}
#'  \item{ij.1}{Character variable containing the left stimulus id.}
#'  \item{ij.2}{Character variable containing the right stimulus id.}
#' }
#'
#' @source Generated by author using data-raw\\gendatamdpref.R.
#'
"data_miss"


