% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/mdpref.R
\name{mdprefml}
\alias{mdprefml}
\title{Maxmul Likelihood Solution to MDPREF}
\usage{
mdprefml(f, n, ij, subj, ndim = 2, lmax = 50, eps = 1e-06, minp = 1e-07,
  lmax2 = 2, print = 1, plot = 0)
}
\arguments{
\item{f}{vector consisting of the # of times that the left stimuli was
chosen out of n trials.}

\item{n}{vector consisting of the # of trials.}

\item{ij}{matrix indicating the stimulus pair.}

\item{subj}{vector indicating the subject.}

\item{ndim}{# of dimensions}

\item{lmax}{max # of iterations}

\item{eps}{criterion for convergence}

\item{minp}{minimum value of the probability}

\item{lmax2}{max # of iterations for the inner iteration for X and Beta}

\item{print}{= 1 to print the result}

\item{plot}{= 1 to plot the result}
}
\description{
Maxmul Likelihood Solution to MDPREF
}
\details{
The quartet
( subj, n, f, ij ) contains the result of the paired comparison data.\cr
Thoese four objects has the same length or # of rows.\cr
The k-th elements of the quartet indicates that \cr
subj[k] preferred stimulus ij[k,1] over ij[k,2] f[k] times when exposed
to the pair n[k] times.
\cr
The paired comparizon for each subject does no have to be complete.\cr
}
\examples{
ij <- cbind( data_comp$ij.1, data_comp$ij.2)
mdprefml( f=data_comp$f, n=data_comp$n, ij=ij, subj=data_comp$subj, plot=1 )

ij <- cbind( data_miss$ij.1, data_miss$ij.2)
mdprefml( f=data_miss$f, n=data_miss$n, ij=ij, subj=data_miss$subj, plot=1 )
}

