% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/mdpref.R
\name{mdprefmx}
\alias{mdprefmx}
\title{Finite Mixture Model for MDPREF}
\usage{
mdprefmx(f, n, ij, subj, ndim = 2, nclass = 2, alpha = 1, init = 2,
  X = NULL, B = NULL, rho = NULL, estX = 1, estB = 1, estrho = 1,
  minp = 1e-07, lmax = 10, eps = 1e-06, lmax2 = 3, print = 1,
  plot = 0)
}
\arguments{
\item{f}{vector consisting of the # of times that the left stimuli was
chosen out of n trials.}

\item{n}{vector consisting of the # of trials.}

\item{ij}{matrix indicating the stimulus pair.}

\item{subj}{vector indicating the subject.}

\item{ndim}{# of dimensions}

\item{nclass}{# of laten classes}

\item{alpha}{hyper-parameter vector of size nclass for
Dirichlet prior of rho}

\item{init}{method for initial configuration\cr
= 0 to use random number \cr
= 1 to use Thurstome Case V, PCA and hclust
= 2 to use mdprefml, PCA and hclust}

\item{X}{initial configuration, if any}

\item{B}{initial configuration, if any}

\item{rho}{initial configuration, if any}

\item{estX}{= 0 to skip the estimation of X and fix it to the value given in X.}

\item{estB}{= 0 to skip the estimation of B and fix it to the value given in B.}

\item{estrho}{= 0 to skip the estimation of rho and fix it to the value given in rho.}

\item{minp}{minimum value of the probability}

\item{lmax}{max # of iterations}

\item{eps}{criterion for convergence}

\item{lmax2}{max # of iterations for the inner iteration for X and Beta}

\item{print}{= 1 to print the result}

\item{plot}{= 1 to plot the result}
}
\description{
Finite Mixture Model for MDPREF
}
\details{
The quartet
( subj, n, f, ij ) contains the result of the paired comparison data.\cr
Thoese four objects has the same length or # of rows.\cr
The k-th elements of the quartet indicates that \cr
subj[k] preferred stimulus ij[k,1] over ij[k,2] f[k] times when exposed
to the pair n[k] times.
\cr
The paired comparizon for each subject does no have to be complete.\cr
}
\examples{
ij <- cbind( data_comp$ij.1, data_comp$ij.2)
mdprefmx( f=data_comp$f, n=data_comp$n, ij=ij, subj=data_comp$subj, plot=1 )

ij <- cbind( data_miss$ij.1, data_miss$ij.2)
mdprefmx( f=data_miss$f, n=data_miss$n, ij=ij, subj=data_miss$subj, plot=1 )
}

